> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Company Property

> Delete an existing company property. Since much in the HubSpot system can be downstream of a property, as a best practice you should only delete those properties that you have created.



## OpenAPI

````yaml specs/legacy/v1/crm-properties-v1-companies.json DELETE /properties/v1/companies/properties/named/{property_name}
openapi: 3.0.0
info:
  title: CRM Properties API v1 - Companies
  version: 1.0.0
  description: >-
    Legacy CRM Properties API v1 - Companies - Manage company properties and
    property groups
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /properties/v1/companies/properties/named/{property_name}:
    delete:
      summary: Delete a Company Property
      description: >-
        Delete an existing company property. Since much in the HubSpot system
        can be downstream of a property, as a best practice you should only
        delete those properties that you have created.
      operationId: deletepropertiesv1companiespropertiesnamedpropertyname
      parameters:
        - name: property_name
          in: path
          required: true
          description: The API name of the property that you will be deleting
          schema:
            type: string
      responses:
        '204':
          description: Company property deleted successfully
      security:
        - oauth2:
            - crm.schemas.companies.write
        - oauth2_legacy: []
        - private_apps:
            - crm.schemas.companies.write
        - private_apps_legacy: []
components: {}

````